Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbehave.core.steps
Enum StepCollector.Stage

    java.lang.Object
      java.lang.Enum<StepCollector.Stage>
          org.jbehave.core.steps.StepCollector.Stage

All Implemented Interfaces:
  Serializable, Comparable<StepCollector.Stage>

Enclosing interface:
  StepCollector

    public static enum StepCollector.Stage

extends Enum<StepCollector.Stage>

Enum Constant Summary
`AFTER`
`BEFORE`

Method Summary
`static StepCollector.Stage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StepCollector.Stage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEFORE

    public static final StepCollector.Stage BEFORE

### AFTER

    public static final StepCollector.Stage AFTER

Method Detail

### values

    public static StepCollector.Stage[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StepCollector.Stage c : StepCollector.Stage.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StepCollector.Stage valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013. All Rights Reserved.